Data - Retrieve Tasks
Hiermee haalt u de lijst met taken en hun eigenschappen op.
POST http://<Servername>/OperationsManager/data/getTaskPane
Aanvraagbody
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Vereist | Type | Description |
|---|---|---|---|
| id | True |
string |
Taak-ID |
| viewType | True |
string |
Weergavetype |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. De lijst met taken en hun eigenschappen is opgehaald. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Voorbeelden
GetTaskPaneData
Voorbeeldaanvraag
POST http://<Servername>/OperationsManager/data/getTaskPane
{
"id": "dfba68de-a600-4244-9c5f-04c1e056a037",
"viewType": "HtmlAlertWidget"
}
Voorbeeldrespons
[
{
"displayName": "Windows Computer Tasks",
"taskListType": "DynamicTasks",
"taskList": [
{
"id": "023ee23d-db8d-9de7-1923-c0c50d66850f",
"displayName": "Resubmit local cache state change events.",
"description": "Submits the snapshot of instance state change events from health service local cache for repeated collection.",
"iconUrl": "/OperationsManager/images/task/taskIcon.png",
"targets": [
{
"id": "b4abc994-7f94-ef4b-9a4b-69611635f6a0",
"name": "SCOMFBOMVM0065.smx.net",
"runLocation": null
}
],
"parameters": []
},
{
"id": "f5ea8691-50c6-3555-4166-e71120134ef7",
"displayName": "Show Failed Rules and Monitors for this Object",
"description": null,
"iconUrl": "/OperationsManager/images/task/taskIcon.png",
"targets": [
{
"id": "b4abc994-7f94-ef4b-9a4b-69611635f6a0",
"name": "SCOMFBOMVM0065.smx.net",
"runLocation": null
}
],
"parameters": []
},
{
"id": "bab05472-d548-f69c-ee7d-7c51e2cc890d",
"displayName": "Show local cache for state change events.",
"description": "Displays the snapshot of instance state change events from health service local cache.",
"iconUrl": "/OperationsManager/images/task/taskIcon.png",
"targets": [
{
"id": "b4abc994-7f94-ef4b-9a4b-69611635f6a0",
"name": "SCOMFBOMVM0065.smx.net",
"runLocation": null
}
],
"parameters": []
},
{
"id": "5d649d3c-7c4c-8dec-a1fd-2f5711ac7f3d",
"displayName": "Show Running Rules and Monitors for this Object",
"description": null,
"iconUrl": "/OperationsManager/images/task/taskIcon.png",
"targets": [
{
"id": "b4abc994-7f94-ef4b-9a4b-69611635f6a0",
"name": "SCOMFBOMVM0065.smx.net",
"runLocation": null
}
],
"parameters": []
}
]
}
]
Definities
| Name | Description |
|---|---|
|
Task |
|
|
Task |
|
|
Task |
|
|
Task |
|
|
Task |
TaskListResponse
| Name | Type | Description |
|---|---|---|
| displayName |
string |
Weergavenaam taak |
| taskList |
Takenlijsten |
|
| taskListType |
string |
Type takenlijst |
TaskParameter
| Name | Type | Description |
|---|---|---|
| defaultValue |
string |
Standaardwaarde van taakparameter |
| displayName |
string |
taakparameter Weergavenaam |
| id |
string |
identiteitskaart |
| name |
string |
naam van de taakparameter |
| parameterType |
string |
Type taakparameter |
TaskRequest
| Name | Type | Description |
|---|---|---|
| id |
string |
Taak-ID |
| viewType |
string |
Weergavetype |
TaskResponse
| Name | Type | Description |
|---|---|---|
| description |
string |
Taakbeschrijving |
| displayName |
string |
Weergavenaam taak |
| iconUrl |
string |
Pictogram-URL |
| id |
string |
Taak-ID |
| parameters |
Taakparameters |
|
| targets |
Lijst met taakdoelen |
TaskTarget
| Name | Type | Description |
|---|---|---|
| id |
string |
Taakdoel-id |
| name |
string |
Naam van taakdoel |
| runLocation |
string |
Taakuitvoering Locatie |